CubieBoard博客-HomeCubieTech公司网站

cubie.cc CubieBoard中文论坛

 找回密码
 立即注册
搜索
热搜: unable
查看: 10684|回复: 26

建议把默认python从2改到3

[复制链接]

24

主题

1

好友

6378

积分

论坛元老

Rank: 8Rank: 8

贡献
1215
金钱
2276
威望
1215
买家信用
卖家信用
积分
6378
发表于 2014-12-1 21:49:54 |显示全部楼层
本帖最后由 gcd0318 于 2014-12-1 21:52 编辑

很显然python官方的态度是,2就是个胎记而已,以后全力以赴发展3,而且现在3的支持也比2要全面,开发者继续留在2的越来越少,很多linux发行版默认的python也是3了
当然了我可以通过改变连接的方式把python直接关联在2,但是升级的时候会带来很多麻烦,因为默认的各种包都在2上,要改的东西太多,我也不能保证都改全了,只好用一个改一次,相当的麻烦
比如,django只能装到1.4.5,最新的版本早已是1.7了
这个python版本问题,一度让我想放弃cubian,但是实在仅仅是因为,ct上没有一个比较好的archlinux
回复

使用道具 举报

10

主题

1

好友

3603

积分

论坛元老

Rank: 8Rank: 8

贡献
682
金钱
1368
威望
682
买家信用
卖家信用
积分
3603
发表于 2014-12-2 09:46:33 |显示全部楼层
这个建议只能等debian官方来解决。你也知道,Debian现在很多包都依赖python2,cubian在Debian基础上改的,不是作者想换python3就能换的。
回复

使用道具 举报

34

主题

10

好友

1万

积分

版主

Rank: 7Rank: 7Rank: 7

贡献
2325
金钱
4567
威望
2326
买家信用
卖家信用
积分
12256
发表于 2014-12-2 10:01:59 |显示全部楼层
debian  分三个版本。稳定版本的软件包更新是比较慢的。我之前也遇到类似问题。可以尝试用一下安装测试版本。或不稳定版本的软件包。例如我曾经升级过C库,安装的是不稳定版本的C库。

echo "deb http://ftp.debian.org/debian sid main" >> /etc/apt/sources.list
apt-get update
apt-get -t sid install libc6 libc6-dev libc6-dbg




当然要结合自己的情况。对更新库后的系统作一下测试。

1 稳定版(stable)
稳定版包含了 Debian 官方最近一次发行的软件包。

作为 Debian 的正式发行版本,它是我们优先推荐给用户您选用的版本。

当前 Debian 的稳定版版本号是 7.6,开发代号为 wheezy。已经于2014年07月12日发布。

2 测试版(testing)
测试版包含了那些暂时未被收录进入稳定版的软件包,但它们已经进入了候选队列。使用这个版本的最大益处在于它拥有更多版本较新的软件。

想要了解 什么是测试版 以及 如何成为稳定版 的更多信息,请看 Debian FAQ。

当前的测试版版本代号是 jessie。

3 不稳定版(unstable)
不稳定版存放了 Debian 现行的开发工作。通常,只有开发者和那些喜欢过惊险刺激生活的人选用该版本。

不稳定版的版本代号永远都被称为 sid。

发行版目录

下一代 Debian 正式发行版的代号为 jessie — 发布时间尚未确定
Debian 7 (wheezy) — 当前的稳定版
Debian 6.0 (squeeze) — 被淘汰的稳定版
Debian GNU/Linux 5.0 (lenny) — 被淘汰的稳定版
Debian GNU/Linux 4.0 (etch) — 被淘汰的稳定版
Debian GNU/Linux 3.1 (sarge) — 被淘汰的稳定版
Debian GNU/Linux 3.0 (woody) — 被淘汰的稳定版
Debian GNU/Linux 2.2 (potato) — 被淘汰的稳定版
Debian GNU/Linux 2.1 (slink) — 被淘汰的稳定版
Debian GNU/Linux 2.0 (hamm) — 被淘汰的稳定版
回复

使用道具 举报

24

主题

1

好友

6378

积分

论坛元老

Rank: 8Rank: 8

贡献
1215
金钱
2276
威望
1215
买家信用
卖家信用
积分
6378
发表于 2014-12-2 17:35:54 |显示全部楼层
谢前两位,我很少用debian,不知道是官方在作祟
回复

使用道具 举报

24

主题

10

好友

1万

积分

版主

Rank: 7Rank: 7Rank: 7

贡献
1924
金钱
3700
威望
1932
买家信用
卖家信用
积分
10040
发表于 2014-12-10 21:39:33 |显示全部楼层
python2和3应该是可以共存的
回复

使用道具 举报

3

主题

0

好友

2047

积分

金牌会员

Rank: 6Rank: 6

贡献
349
金钱
697
威望
449
买家信用
卖家信用
积分
2047
发表于 2014-12-10 23:25:01 |显示全部楼层
gcd0318 发表于 2014-12-2 17:35
谢前两位,我很少用debian,不知道是官方在作祟

其实我感觉debian的这种方式还是很好的。
对于服务器来说,软件就是需要非常稳定。
如果需要较新的软件。貌似可以单独自己编译安装。或者直接从stable改成testing也是不错的。
我折腾过高清电影PT下载用的seedbox,装的transmission默认是2.52,都是两年前的版本啦。但是testing版本确是很新的版本
回复

使用道具 举报

24

主题

1

好友

6378

积分

论坛元老

Rank: 8Rank: 8

贡献
1215
金钱
2276
威望
1215
买家信用
卖家信用
积分
6378
发表于 2014-12-15 10:17:06 |显示全部楼层
cubieplayer 发表于 2014-12-10 21:39
python2和3应该是可以共存的

是,但是默认的版本会影响很多脚本,每次都要改
回复

使用道具 举报

2

主题

0

好友

682

积分

高级会员

Rank: 4

贡献
133
金钱
259
威望
133
买家信用
卖家信用
积分
682
发表于 2014-12-15 21:05:35 |显示全部楼层
可以在cubieboard上编译最新版python,详见此文:
http://www.cnblogs.com/infopi/p/update_python_raspbian.html

文章是写给树莓派的,对cubian也适用。
回复

使用道具 举报

22

主题

0

好友

7399

积分

论坛元老

Rank: 8Rank: 8

贡献
1377
金钱
3031
威望
1378
买家信用
卖家信用
积分
7399
发表于 2015-2-15 10:13:46 |显示全部楼层
python2 和python3可以共存
在debian上,也可以切换默认版本
我写python,文件头都会指定python2

另外,目前主流是python2
回复

使用道具 举报

24

主题

1

好友

6378

积分

论坛元老

Rank: 8Rank: 8

贡献
1215
金钱
2276
威望
1215
买家信用
卖家信用
积分
6378
发表于 2015-2-17 14:30:28 |显示全部楼层
wencan 发表于 2015-2-15 10:13
python2 和python3可以共存
在debian上,也可以切换默认版本
我写python,文件头都会指定python2

目前py2只是作为胎记了,大部分pypi如果还在更新,都是只更新py3了
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

QQ|Archiver|手机版|邮件群发|cubie.cc---深刻的嵌入式技术和应用讨论中文社区 ( 粤ICP备13051116号-1  

GMT+8, 2019-10-16 11:23 , Processed in 0.019965 second(s), 8 queries , Apc On.

Powered by Discuz! X2.5

© 2001-2012 Comsenz Inc. | Style by Coxxs

回顶部